- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TActiveCustomValidatorClientSide

    TComponent
       |
       --TClientSideOptions
          |
          --TCallbackClientSide
             |
             --TActiveCustomValidatorClientSide

Custom Validator callback client side options class.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Method Summary
boolean | getObserveChanges ()
string | getOnValidate ()
string | getOnValidationError ()
string | getOnValidationSuccess ()
void | setObserveChanges ( boolean $value)
void | setOnValidate ( string $javascript) Client-side OnValidate validator event is raise before the validators validation functions are called.
void | setOnValidationError ( string $javascript) Client-side OnError event is raised after validation failure.
void | setOnValidationSuccess ( string $javascript) Client-side OnSuccess event is raise after validation is successfull.

Methods Inherited From TCallbackClientSide

TCallbackClientSide::ensureFunction(), TCallbackClientSide::getEnablePageStateUpdate(), TCallbackClientSide::getHasPriority(), TCallbackClientSide::getOnComplete(), TCallbackClientSide::getOnException(), TCallbackClientSide::getOnFailure(), TCallbackClientSide::getOnInteractive(), TCallbackClientSide::getOnLoaded(), TCallbackClientSide::getOnLoading(), TCallbackClientSide::getOnPreDispatch(), TCallbackClientSide::getOnSuccess(), TCallbackClientSide::getOnUninitialized(), TCallbackClientSide::getPostBackParameter(), TCallbackClientSide::getPostBackTarget(), TCallbackClientSide::getPostState(), TCallbackClientSide::getRequestTimeOut(), TCallbackClientSide::setEnablePageStateUpdate(), TCallbackClientSide::setHasPriority(), TCallbackClientSide::setOnComplete(), TCallbackClientSide::setOnException(), TCallbackClientSide::setOnFailure(), TCallbackClientSide::setOnInteractive(), TCallbackClientSide::setOnLoaded(), TCallbackClientSide::setOnLoading(), TCallbackClientSide::setOnPreDispatch(), TCallbackClientSide::setOnSuccess(), TCallbackClientSide::setOnUninitialized(), TCallbackClientSide::setPostBackParameter(), TCallbackClientSide::setPostBackTarget(), TCallbackClientSide::setPostState(), TCallbackClientSide::setRequestTimeOut()

Methods Inherited From TClientSideOptions
TClientSideOptions::ensureFunction(), TClientSideOptions::getOption(), TClientSideOptions::getOptions(), TClientSideOptions::setFunction(), TClientSideOptions::setOption()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getObserveChanges

public boolean getObserveChanges | ()

Output
boolean | true to observe changes.
Exception

## getOnValidate

public string getOnValidate | ()

Output
string | javascript code for client-side OnValidate event.
Exception

## getOnValidationError

public string getOnValidationError | ()

Output
string | javascript code for client-side OnError event.
Exception

## getOnValidationSuccess

public string getOnValidationSuccess | ()

Output
string | javascript code for client-side OnSuccess event.
Exception

## setObserveChanges

public void setObserveChanges | (boolean $value )

Input
boolean | $value | true to revalidate when the control to validate changes value.
Output
Exception

## setOnValidate

public void setOnValidate | (string $javascript )

Client-side OnValidate validator event is raise before the validators validation functions are called.

Input
string | $javascript | javascript code for client-side OnValidate event.
Output
Exception

## setOnValidationError

public void setOnValidationError | (string $javascript )

Client-side OnError event is raised after validation failure.

This will override the default client-side validator behaviour.

Input
string | $javascript | javascript code for client-side OnError event.
Output
Exception

## setOnValidationSuccess

public void setOnValidationSuccess | (string $javascript )

Client-side OnSuccess event is raise after validation is successfull.

This will override the default client-side validator behaviour.

Input
string | $javascript | javascript code for client-side OnSuccess event.
Output
Exception